WebLogicEJBModule (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicEJBModule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicEJBModule

All Superinterfaces:
  ConfigurationItem, EJBModule, J2EEDeployedObject, J2EEModule, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareModule

    public interface WebLogicEJBModule

extends EJBModule

Represents a EJB JAR file that has been deployed to a WebLogic Server.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`WebLogicJ2EEApplication` | `getApplication()`
`boolean` | `getDeployed()`
`WebLogicEJBContainer[]` | `getEJBContainers()`
`java.lang.String` | `getExtraRmicOptions()`
`java.lang.String` | `getJavaCompiler()`
`java.lang.String` | `getJavaCompilerPostClassPath()`
`java.lang.String` | `getJavaCompilerPreClassPath()`
`boolean` | `getKeepGenerated()`
`long` | `getLastModified()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getTmpPath()`
`java.lang.String` | `getURI()`
`boolean` | `getVerboseEJBDeploymentEnabled()`
`boolean` | `hasApplication()`
`boolean` | `hasDeployed()`
`boolean` | `hasEJBContainers()`
`boolean` | `hasExtraRmicOptions()`
`boolean` | `hasJavaCompiler()`
`boolean` | `hasJavaCompilerPostClassPath()`
`boolean` | `hasJavaCompilerPreClassPath()`
`boolean` | `hasKeepGenerated()`
`boolean` | `hasLastModified()`
`boolean` | `hasPath()`
`boolean` | `hasTmpPath()`
`boolean` | `hasURI()`
`boolean` | `hasVerboseEJBDeploymentEnabled()`
`void` | `setApplication(WebLogicJ2EEApplication app)`
`void` | `setDeployed(boolean b)`
`void` | `setEJBContainers(WebLogicEJBContainer[] containers)`
`void` | `setExtraRmicOptions(java.lang.String s)`
`void` | `setJavaCompiler(java.lang.String s)`
`void` | `setJavaCompilerPostClassPath(java.lang.String s)`
`void` | `setJavaCompilerPreClassPath(java.lang.String s)`
`void` | `setKeepGenerated(boolean b)`
`void` | `setLastModified(long l)`
`void` | `setPath(java.lang.String s)`
`void` | `setTmpPath(java.lang.String s)`
`void` | `setURI(java.lang.String s)`
`void` | `setVerboseEJBDeploymentEnabled(boolean b)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEModule
`getComponents, getDeploymentDescriptor, hasComponents, hasDeploymentDescriptor, setComponents, setDeploymentDescriptor`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDeployedObject
`getDomain, hasDomain, setDomain`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModule
`getFile, getFileName, getName, getParent, hasFile, hasFileName, hasName, hasParent, setFile, setFileName, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getApplication

    WebLogicJ2EEApplication getApplication()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setApplication

    void setApplication(WebLogicJ2EEApplication app)

### hasApplication

    boolean hasApplication()

### getLastModified

    long getLastModified()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastModified

    void setLastModified(long l)

### hasLastModified

    boolean hasLastModified()

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPath

    void setPath(java.lang.String s)

### hasPath

    boolean hasPath()

### getDeployed

    boolean getDeployed()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDeployed

    void setDeployed(boolean b)

### hasDeployed

    boolean hasDeployed()

### getURI

    java.lang.String getURI()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURI

    void setURI(java.lang.String s)

### hasURI

    boolean hasURI()

### getEJBContainers

    WebLogicEJBContainer[] getEJBContainers()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="false"

### setEJBContainers

    void setEJBContainers(WebLogicEJBContainer[] containers)

### hasEJBContainers

    boolean hasEJBContainers()

### getExtraRmicOptions

    java.lang.String getExtraRmicOptions()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExtraRmicOptions

    void setExtraRmicOptions(java.lang.String s)

### hasExtraRmicOptions

    boolean hasExtraRmicOptions()

### getJavaCompiler

    java.lang.String getJavaCompiler()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaCompiler

    void setJavaCompiler(java.lang.String s)

### hasJavaCompiler

    boolean hasJavaCompiler()

### getJavaCompilerPostClassPath

    java.lang.String getJavaCompilerPostClassPath()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaCompilerPostClassPath

    void setJavaCompilerPostClassPath(java.lang.String s)

### hasJavaCompilerPostClassPath

    boolean hasJavaCompilerPostClassPath()

### getJavaCompilerPreClassPath

    java.lang.String getJavaCompilerPreClassPath()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaCompilerPreClassPath

    void setJavaCompilerPreClassPath(java.lang.String s)

### hasJavaCompilerPreClassPath

    boolean hasJavaCompilerPreClassPath()

### getTmpPath

    java.lang.String getTmpPath()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTmpPath

    void setTmpPath(java.lang.String s)

### hasTmpPath

    boolean hasTmpPath()

### getKeepGenerated

    boolean getKeepGenerated()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeepGenerated

    void setKeepGenerated(boolean b)

### hasKeepGenerated

    boolean hasKeepGenerated()

### getVerboseEJBDeploymentEnabled

    boolean getVerboseEJBDeploymentEnabled()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVerboseEJBDeploymentEnabled

    void setVerboseEJBDeploymentEnabled(boolean b)

### hasVerboseEJBDeploymentEnabled

    boolean hasVerboseEJBDeploymentEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD